This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 171892 - parameterize ldapjdk and crimson jar locations
parameterize ldapjdk and crimson jar locations
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 11:17 EDT by Rich Megginson
Modified: 2015-01-04 18:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-06 15:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of files in fix (193 bytes, text/plain)
2005-10-27 11:17 EDT, Rich Megginson
no flags Details
diffs for fix (9.35 KB, text/plain)
2005-10-27 11:18 EDT, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2005-10-27 11:17:42 EDT
Allow the use of other than dist/classes for the ldapjdk and crimson jar files.  
This is needed for gar and other autoconf like build systems.
Comment 1 Rich Megginson 2005-10-27 11:17:42 EDT
Created attachment 120466 [details]
List of files in fix
Comment 2 Rich Megginson 2005-10-27 11:18:16 EDT
Created attachment 120467 [details]
diffs for fix
Comment 3 Rich Megginson 2005-10-28 22:21:12 EDT
Reviewed by: Noriko, Nathan (Thanks!)
Branch: HEAD
Fix Description: This is also needed for GAR.  The xmltools also 
ldapjdk.jar, and needs crimson.jar.  DSMLGW does not need crimson.jar.  
It makes sense to separate these out of the dsmlgw jars.  I changed the 
dsmlgw build.xml to be able to pickup ldapjdk.jar from a different 
location - defaults to the usual dist/classes.
Platforms tested: RHEL4
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none

Checking in ldapserver/buildpaths.mk;
/cvs/dirsec/ldapserver/buildpaths.mk,v  <--  buildpaths.mk
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/components.mk;
/cvs/dirsec/ldapserver/components.mk,v  <--  components.mk
new revision: 1.34; previous revision: 1.33
done
Checking in ldapserver/internal_buildpaths.mk;
/cvs/dirsec/ldapserver/internal_buildpaths.mk,v  <--  internal_buildpaths.mk
new revision: 1.8; previous revision: 1.7
done
Checking in ldapserver/ldap/clients/dsmlgw/Makefile;
/cvs/dirsec/ldapserver/ldap/clients/dsmlgw/Makefile,v  <--  Makefile
new revision: 1.10; previous revision: 1.9
done
Checking in ldapserver/ldap/clients/dsmlgw/build.xml;
/cvs/dirsec/ldapserver/ldap/clients/dsmlgw/build.xml,v  <--  build.xml
new revision: 1.7; previous revision: 1.6
done
Checking in ldapserver/ldap/cm/Makefile;
/cvs/dirsec/ldapserver/ldap/cm/Makefile,v  <--  Makefile
new revision: 1.39; previous revision: 1.38
done
Comment 4 Jenny Galipeau 2011-06-06 14:40:24 EDT
Please add steps to reproduce and verify thanks

Note You need to log in before you can comment on or make changes to this bug.